<div class="row">
    <div class="col-sm-8 col-sm-offset-2">
      <form (ngSubmit)="onSubmit(f)" #f="ngForm">
        <div class="form-group">
          <label for="name">
            Device name
          </label>
          <input type="text" id="name" class="form-control" name="name" ngModel required>
        </div>
        <div class="form-group">
          <label for="status">
            Device status
          </label>
          <select id="status" class="form-control" name="status" [ngModel]="defaultOnOff">
            <option value="On">On</option>
            <option value="Off">Off</option>
          </select>
        </div>
        <button class="btn btn-primary" 
                type="submit" 
                [disabled]="f.invalid">Save</button>
      </form>
    </div>
  </div>